Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
QUESTION CKEDITOR UPDATE in 3.3.9
#1
I am going to release 3.3.9 with one feature, ckedityor bump.
3.x is 3 years old

And those browsers are all end of life, so people are going to be needing new supported versions of ckeditor.

Thoughts ?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#2
Yes please. :-)
Will you post a beta/RC version before releasing it?

BTW I haven't added support for GSCKePatch to News Manager because you said you might release a core update for this.
Reply
#3
I have a tentative test in cke_patch branch, along with alot of plugin tests in the config.js
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#4
(2016-02-11, 08:28:54)shawn_a Wrote: I am going to release 3.3.9 with one feature, ckedityor bump.
3.x is 3 years old

And those browsers are all end of life, so people are going to be needing new supported versions of ckeditor.

Thoughts ?

Sounds good to me!
Reply
#5
Please do this, it will make support much easier with everyone on the same page (you knew I was going to say that!)
Thanks,
jwzumwalt
(\__/)
(='.'=)
(")_(")
Reply
#6
I've done some quick tests with patch_cke and seems to work fine.

At first (after upgrading) I was having some issues (old ckeditor.js version loaded instead, wrong toolbar icons...) but they were fixed when I cleared my browser cache (Ctrl-F5)
Reply
#7
Yeah i dont know why it does that, it is specificly not supposed to i think ckeditor pulls its assets with tstamp version querystrings or maybe i have to enable that.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#8
Sounds very good!
And btw I don't know if this is on the way to GS but CKFinder has very interesting picture editing features, and also the new CKEditor has a very cool "Accessibility Checker". Wink

About the new version of CKEditor : will it be possible to extend the field where we write the content of a page? Or maybe some auto line wrap parameter?
__
Contact me if you need a french translation file for your plugin.
Reply
#9
You can already set gs to full width of your browser.

I am not a fan of ckfinder. What are accessibility checker is this a plugin?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#10
(2016-02-23, 23:14:03)shawn_a Wrote: You can already set gs to full width of your browser.

I am not a fan of ckfinder. What are accessibility checker is this a plugin?

CKEditor Accessibility Checker

One solution to the problem of catching author errors is to provide a tool that authors can use to check their content before they submit it. This is the approach taken in the CKEditor Accessibility Checker plugin. While there are several HTML validation tools and services that could be used....

http://opendirective.net/blog/2015/05/ck...t-authors/

Think of it as a glorified GUI html parse checker (I use [view] and my eyes but I am sure others prefer a tool)
Thanks,
jwzumwalt
(\__/)
(='.'=)
(")_(")
Reply
#11
(2016-02-23, 23:14:03)shawn_a Wrote: You can already set gs to full width of your browser.

I am not a fan of ckfinder. What are accessibility checker is this a plugin?

A quick try here : https://cksource.com/ckeditor/services#a...ty-checker (Click on "Give it a try!")
__
Contact me if you need a french translation file for your plugin.
Reply
#12
That is ckeditor premium..
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#13
(2016-02-24, 08:09:44)shawn_a Wrote: That is ckeditor premium..

Arf sry, didn't notice that.
By the way I'm trying to find where can I change the width of ckeditor.. I founded the heigh parameter in gsconfig.php but I can't find width anywhere... I'll search again and maybe start a new thread about that.
__
Contact me if you need a french translation file for your plugin.
Reply
#14
It is set to the auto width off container.

so enable GSWIDE or custom override css for maincontent, see style-wide.css
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#15
(2016-02-25, 03:08:02)shawn_a Wrote: It is set to the auto width off container.

so enable GSWIDE or custom override css for maincontent, see style-wide.css

Thx a lot, I edited gsconfig.php to use define('GSSTYLE',GSSTYLEWIDE);

Cool
__
Contact me if you need a french translation file for your plugin.
Reply
#16
I also did some tests with cke_patch branch, mainly testing the new editor. No problem with icons, no need to clear cache. Look nice and clean. I tried to set ckeditor to "advanced", then to "full", no problem...
I did'nt try to add plugins for the moment...


Off topic, but I want to share a quick workaround I did on settings.php : I can't prevent browser to autofill the password ($pwd1), so I changed the if statement on line 119
from
if ($pwd1 != $pwd2) {
to
if ( ($pwd1 != $pwd2) && ($pwd2 != '') ) {
__
Contact me if you need a french translation file for your plugin.
Reply
#17
Ahh mine was filling both but that is a good idea
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#18
My browser only fill the first one... (FF up to date, nothing special about plugins)

If your browser fill both fields with the right $pwd1 and $pwd2, you should'nt have any problems when saving, have you?

Anyway I'm glad that this is a good idea, I have wondering if this could cause some security problems or whatever...
__
Contact me if you need a french translation file for your plugin.
Reply




Users browsing this thread: 1 Guest(s)
Free HDTV Channels Residential Solar Panels